GNU bug report logs - #36435
ido mode C-x C-f not showing regular files in special instances

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: JohnMichaelWu@HIDDEN; Keywords: confirmed; dated Sat, 29 Jun 2019 15:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36435 <at> debbugs.gnu.org:


Received: (at 36435) by debbugs.gnu.org; 18 Jul 2019 12:25:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 08:25:32 2019
Received: from localhost ([127.0.0.1]:53532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ho5TY-0005IQ-Jq
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 08:25:32 -0400
Received: from quimby.gnus.org ([80.91.231.51]:36144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ho5TW-0005IH-Bn
 for 36435 <at> debbugs.gnu.org; Thu, 18 Jul 2019 08:25:31 -0400
Received: from [80.169.244.84] (helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1ho5TS-0005gf-By; Thu, 18 Jul 2019 14:25:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Wu <john.michael.wu@HIDDEN>
Subject: Re: bug#36435: ido mode C-x C-f not showing regular files in
 special instances
References: <CABuWmYNBF3EC6jdLcXDQaaxUe5oxZ9tUfVnZ2KUuvMycX_WSoQ@HIDDEN>
 <877e8s169v.fsf@HIDDEN>
 <CABuWmYOSt6iFpQDXVeDLv2Tqs8PjbZJmv_gmjqF-UMvU3cgmuQ@HIDDEN>
Date: Thu, 18 Jul 2019 14:25:25 +0200
In-Reply-To: <CABuWmYOSt6iFpQDXVeDLv2Tqs8PjbZJmv_gmjqF-UMvU3cgmuQ@HIDDEN>
 (Michael Wu's message of "Mon, 15 Jul 2019 22:58:09 -0400")
Message-ID: <87o91r8r7u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Wu <john.michael.wu@HIDDEN> writes: > Uhh sure.
 Here it is. > > #!/bin/bash > > mkdir -p d1/d1 d1/d2 d2/d1 d2/d2 d1/d1/d1
 d1/d1/d2 d2/d1/da d2/d1/db > touch d1/d1/{a..c} d2/d1/{1..3} > > Were you
 able to reproduce the issue? 
 Content analysis details:   (-0.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 36435
Cc: 36435 <at> debbugs.gnu.org, JohnMichaelWu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Michael Wu <john.michael.wu@HIDDEN> writes:

> Uhh sure. Here it is.
>
> #!/bin/bash
>
> mkdir -p d1/d1 d1/d2 d2/d1 d2/d2 d1/d1/d1 d1/d1/d2 d2/d1/da d2/d1/db
> touch d1/d1/{a..c} d2/d1/{1..3}
>
> Were you able to reproduce the issue?

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36435; Package emacs. Full text available.

Message received at 36435 <at> debbugs.gnu.org:


Received: (at 36435) by debbugs.gnu.org; 16 Jul 2019 02:59:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 22:59:44 2019
Received: from localhost ([127.0.0.1]:49452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hnDgt-0005M0-JS
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 22:59:44 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:32803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.michael.wu@HIDDEN>) id 1hnDgq-0005Ll-Qy
 for 36435 <at> debbugs.gnu.org; Mon, 15 Jul 2019 22:59:41 -0400
Received: by mail-io1-f43.google.com with SMTP id z3so37625594iog.0
 for <36435 <at> debbugs.gnu.org>; Mon, 15 Jul 2019 19:59:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:reply-to:from:date:message-id
 :subject:to:cc;
 bh=uLFkwzT+9PkcQpZT2aLzSHuJdy8QplsHVAgkdCdEmSI=;
 b=gapIjzTH0+sbmxO/pUBHP9a8pNB0YUkMpNWWEjTPKbjp5IOdkDgMXBwDwv9xsUnXbk
 0BW5vmsAaSGB20O8cHySE3E/5DASAyKi14FRBUhJLUTnvVcgviVHizAxUAdiMp6czZvi
 we55uLmfPtb4yEIeKj9J1+DJeX3glvCEs2HRldEX0jVdOnNysBEv9aovpYiT1OzsZ5tp
 N3BuBAji80OMyH9k2EvivyAi0KlZA+FPQEITvDRP422mdrUYxJcOXL9qJQrtbUVTV4ws
 ZIE8XHdyBaeoie/U0pLVJPIXd0WZ9+OkOfxnV1KKWthJeVCWGyeab9DeVmAXS4qRgsVZ
 rl7w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc;
 bh=uLFkwzT+9PkcQpZT2aLzSHuJdy8QplsHVAgkdCdEmSI=;
 b=OjeHvME4wcBFgbpnIcgEMLIo1Z/Bm72vTywXsKZsWumk6O/CyQ1LpylV1ZpUL7ZSz1
 cGIaEK9Pt3TWtFm09hJBlgIWBUBwtiwj5ENCiLBSQIpv69XwfHoOfPj61cbw82ntEVk7
 B3an1OAIvrBxmdW9C8KEJDAKKb0dSQhljEY2KvGHiFt/5V0rGP5voaJ8dAtKz38olwtq
 2w0NJwwfFAMl5y3IHxVefppaCo6TnOlQ3AG4KVINLSnNQuSYwM7epbC475bEPu+LsDPd
 eQYi01SxJNYmS/9bb2zVM/3uS7aUKSRzm0+NZazXpEKceZeilFhUFoOX4nddoAM11X4+
 VtZQ==
X-Gm-Message-State: APjAAAWtdonRShHX41O2oZ6bhH28FuPuiXknLyin46nxvMRc7q0RFslc
 IfiuCtppq9tDYHSPfOVIpFBGwXA+DnNnqVgLJH4=
X-Google-Smtp-Source: APXvYqz3MjqVf94jURVbBWxKphubOdOZ6igeVLN/OgKdgOqV56IoBcShidrXaxLZ/sN0FWqLlhnHrU2UX9rNOa/G3AA=
X-Received: by 2002:a6b:c90c:: with SMTP id z12mr26956183iof.11.1563245974959; 
 Mon, 15 Jul 2019 19:59:34 -0700 (PDT)
MIME-Version: 1.0
References: <CABuWmYNBF3EC6jdLcXDQaaxUe5oxZ9tUfVnZ2KUuvMycX_WSoQ@HIDDEN>
 <877e8s169v.fsf@HIDDEN>
In-Reply-To: <877e8s169v.fsf@HIDDEN>
From: Michael Wu <john.michael.wu@HIDDEN>
Date: Mon, 15 Jul 2019 22:58:09 -0400
Message-ID: <CABuWmYOSt6iFpQDXVeDLv2Tqs8PjbZJmv_gmjqF-UMvU3cgmuQ@HIDDEN>
Subject: Re: bug#36435: ido mode C-x C-f not showing regular files in special
 instances
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000008be2d058dc3910d"
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Uhh sure. Here it is. #!/bin/bash mkdir -p d1/d1 d1/d2 d2/d1
 d2/d2 d1/d1/d1 d1/d1/d2 d2/d1/da d2/d1/db touch d1/d1/{a..c} d2/d1/{1..3}
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (john.michael.wu[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.166.43 listed in list.dnswl.org]
 0.1 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 1.0 FREEMAIL_REPLYTO       Reply-To/From or Reply-To/body contain
 different freemails
X-Debbugs-Envelope-To: 36435
Cc: 36435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JohnMichaelWu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--00000000000008be2d058dc3910d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Uhh sure. Here it is.

#!/bin/bash

mkdir -p d1/d1 d1/d2 d2/d1 d2/d2 d1/d1/d1 d1/d1/d2 d2/d1/da d2/d1/db
touch d1/d1/{a..c} d2/d1/{1..3}

Were you able to reproduce the issue?

On Mon, Jul 8, 2019 at 7:00 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Michael Wu <john.michael.wu@HIDDEN> writes:
>
> > Emacs 26.2.
> >
> > I do not know exactly the set of cases this bug appears, but here is a
> way (albeit
> > specific) that works every time for me.
> >
> > I have the following directory hierarchy:
> >
> > .
> > =E2=94=9C=E2=94=80=E2=94=80 d1
> > =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 d1
> > =E2=94=82   =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 a
> > =E2=94=82   =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 b
> > =E2=94=82   =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 c
> > =E2=94=82   =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 d1
> > =E2=94=82   =E2=94=82   =E2=94=94=E2=94=80=E2=94=80 d2
> > =E2=94=82   =E2=94=94=E2=94=80=E2=94=80 d2
> > =E2=94=94=E2=94=80=E2=94=80 d2
> >     =E2=94=9C=E2=94=80=E2=94=80 d1
> >     =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 1
> >     =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 2
> >     =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 3
> >     =E2=94=82   =E2=94=9C=E2=94=80=E2=94=80 da
> >     =E2=94=82   =E2=94=94=E2=94=80=E2=94=80 db
> >     =E2=94=94=E2=94=80=E2=94=80 d2
> >
> > The d's are directories. If I make d1/d1 my working directory, and then
> do
> > (exactly this sequence of keys)
>
> Do you have a shell script that can create this hierarchy so that it's
> easier to reproduce?  :-)
>
> > C-x C-f, M-b, M-b, C-k, 2<TAB>, 1<TAB>
> >
> > I am shown only `da` and `db`, and not the files `1`, `2`, or `3`.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--00000000000008be2d058dc3910d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Uhh sure. Here it is.<div><br></div><div>#!/bin/bash<br><b=
r>mkdir -p d1/d1 d1/d2 d2/d1 d2/d2 d1/d1/d1 d1/d1/d2 d2/d1/da d2/d1/db<br>t=
ouch d1/d1/{a..c} d2/d1/{1..3}<br></div><div><br></div><div>Were you able t=
o reproduce the issue?</div></div><br><div class=3D"gmail_quote"><div dir=
=3D"ltr" class=3D"gmail_attr">On Mon, Jul 8, 2019 at 7:00 PM Lars Ingebrigt=
sen &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br>=
</div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;b=
order-left:1px solid rgb(204,204,204);padding-left:1ex">Michael Wu &lt;<a h=
ref=3D"mailto:john.michael.wu@HIDDEN" target=3D"_blank">john.michael.wu@=
gmail.com</a>&gt; writes:<br>
<br>
&gt; Emacs 26.2. <br>
&gt;<br>
&gt; I do not know exactly the set of cases this bug appears, but here is a=
 way (albeit<br>
&gt; specific) that works every time for me. <br>
&gt;<br>
&gt; I have the following directory hierarchy:<br>
&gt;<br>
&gt; .<br>
&gt; =E2=94=9C=E2=94=80=E2=94=80 d1<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 d1<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=
=80 a<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=
=80 b<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=
=80 c<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=
=80 d1<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=94=E2=94=80=E2=94=
=80 d2<br>
&gt; =E2=94=82=C2=A0 =C2=A0=E2=94=94=E2=94=80=E2=94=80 d2<br>
&gt; =E2=94=94=E2=94=80=E2=94=80 d2<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 d1<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 1=
<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 2=
<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 3=
<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=9C=E2=94=80=E2=94=80 d=
a<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=82=C2=A0 =C2=A0=E2=94=94=E2=94=80=E2=94=80 d=
b<br>
&gt;=C2=A0 =C2=A0 =C2=A0=E2=94=94=E2=94=80=E2=94=80 d2<br>
&gt;<br>
&gt; The d&#39;s are directories. If I make d1/d1 my working directory, and=
 then do<br>
&gt; (exactly this sequence of keys)<br>
<br>
Do you have a shell script that can create this hierarchy so that it&#39;s<=
br>
easier to reproduce?=C2=A0 :-)<br>
<br>
&gt; C-x C-f, M-b, M-b, C-k, 2&lt;TAB&gt;, 1&lt;TAB&gt;<br>
&gt;<br>
&gt; I am shown only `da` and `db`, and not the files `1`, `2`, or `3`. <br=
>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--00000000000008be2d058dc3910d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36435; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36435 <at> debbugs.gnu.org:


Received: (at 36435) by debbugs.gnu.org; 8 Jul 2019 23:00:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 19:00:19 2019
Received: from localhost ([127.0.0.1]:59923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkccM-0007Fd-Td
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 19:00:19 -0400
Received: from quimby.gnus.org ([80.91.231.51]:35244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkccK-0007Cp-Gu
 for 36435 <at> debbugs.gnu.org; Mon, 08 Jul 2019 19:00:17 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkccH-00060Q-8Z; Tue, 09 Jul 2019 01:00:15 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Wu <john.michael.wu@HIDDEN>
Subject: Re: bug#36435: ido mode C-x C-f not showing regular files in special
 instances
References: <CABuWmYNBF3EC6jdLcXDQaaxUe5oxZ9tUfVnZ2KUuvMycX_WSoQ@HIDDEN>
Date: Tue, 09 Jul 2019 01:00:12 +0200
In-Reply-To: <CABuWmYNBF3EC6jdLcXDQaaxUe5oxZ9tUfVnZ2KUuvMycX_WSoQ@HIDDEN>
 (Michael Wu's message of "Sat, 29 Jun 2019 11:35:22 -0400")
Message-ID: <877e8s169v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Michael Wu <john.michael.wu@HIDDEN> writes: > Emacs 26.2.
    > > I do not know exactly the set of cases this bug appears, but here is
   a way (albeit > specific) that works every time for me. > > I have the following
    directory hierarchy: > > . > ├ [...] 
 
 Content analysis details:   (-0.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 36435
Cc: 36435 <at> debbugs.gnu.org, JohnMichaelWu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

TWljaGFlbCBXdSA8am9obi5taWNoYWVsLnd1QGdtYWlsLmNvbT4gd3JpdGVzOg0KDQo+IEVtYWNz
IDI2LjIuIA0KPg0KPiBJIGRvIG5vdCBrbm93IGV4YWN0bHkgdGhlIHNldCBvZiBjYXNlcyB0aGlz
IGJ1ZyBhcHBlYXJzLCBidXQgaGVyZSBpcyBhIHdheSAoYWxiZWl0DQo+IHNwZWNpZmljKSB0aGF0
IHdvcmtzIGV2ZXJ5IHRpbWUgZm9yIG1lLiANCj4NCj4gSSBoYXZlIHRoZSBmb2xsb3dpbmcgZGly
ZWN0b3J5IGhpZXJhcmNoeToNCj4NCj4gLg0KPiDilJzilIDilIAgZDENCj4g4pSCICAg4pSc4pSA
4pSAIGQxDQo+IOKUgiAgIOKUgiAgIOKUnOKUgOKUgCBhDQo+IOKUgiAgIOKUgiAgIOKUnOKUgOKU
gCBiDQo+IOKUgiAgIOKUgiAgIOKUnOKUgOKUgCBjDQo+IOKUgiAgIOKUgiAgIOKUnOKUgOKUgCBk
MQ0KPiDilIIgICDilIIgICDilJTilIDilIAgZDINCj4g4pSCICAg4pSU4pSA4pSAIGQyDQo+IOKU
lOKUgOKUgCBkMg0KPiAgICAg4pSc4pSA4pSAIGQxDQo+ICAgICDilIIgICDilJzilIDilIAgMQ0K
PiAgICAg4pSCICAg4pSc4pSA4pSAIDINCj4gICAgIOKUgiAgIOKUnOKUgOKUgCAzDQo+ICAgICDi
lIIgICDilJzilIDilIAgZGENCj4gICAgIOKUgiAgIOKUlOKUgOKUgCBkYg0KPiAgICAg4pSU4pSA
4pSAIGQyDQo+DQo+IFRoZSBkJ3MgYXJlIGRpcmVjdG9yaWVzLiBJZiBJIG1ha2UgZDEvZDEgbXkg
d29ya2luZyBkaXJlY3RvcnksIGFuZCB0aGVuIGRvDQo+IChleGFjdGx5IHRoaXMgc2VxdWVuY2Ug
b2Yga2V5cykNCg0KRG8geW91IGhhdmUgYSBzaGVsbCBzY3JpcHQgdGhhdCBjYW4gY3JlYXRlIHRo
aXMgaGllcmFyY2h5IHNvIHRoYXQgaXQncw0KZWFzaWVyIHRvIHJlcHJvZHVjZT8gIDotKQ0KDQo+
IEMteCBDLWYsIE0tYiwgTS1iLCBDLWssIDI8VEFCPiwgMTxUQUI+DQo+DQo+IEkgYW0gc2hvd24g
b25seSBgZGFgIGFuZCBgZGJgLCBhbmQgbm90IHRoZSBmaWxlcyBgMWAsIGAyYCwgb3IgYDNgLiAN
Cg0KLS0gDQooZG9tZXN0aWMgcGV0cyBvbmx5LCB0aGUgYW50aWRvdGUgZm9yIG92ZXJkb3NlLCBt
aWxrLikNCiAgIGJsb2dneSBibG9nOiBodHRwOi8vbGFycy5pbmdlYnJpZ3RzZW4ubm8NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36435; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2019 15:36:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 11:36:38 2019
Received: from localhost ([127.0.0.1]:44835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhFP4-0002Wc-09
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 11:36:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:49805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.michael.wu@HIDDEN>) id 1hhFP2-0002WS-0L
 for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 11:36:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43689)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <john.michael.wu@HIDDEN>) id 1hhFP1-0004QT-34
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jun 2019 11:36:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.4 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FREEMAIL_REPLYTO,GAPPY_SUBJECT,HTML_MESSAGE,SPOOFED_FREEM_REPTO
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <john.michael.wu@HIDDEN>) id 1hhFP0-0002Tp-5S
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jun 2019 11:36:35 -0400
Received: from mail-ed1-x52c.google.com ([2a00:1450:4864:20::52c]:44649)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <john.michael.wu@HIDDEN>)
 id 1hhFOz-0002RZ-UQ
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jun 2019 11:36:34 -0400
Received: by mail-ed1-x52c.google.com with SMTP id k8so16091546edr.11
 for <bug-gnu-emacs@HIDDEN>; Sat, 29 Jun 2019 08:36:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:reply-to:from:date:message-id:subject:to;
 bh=+L9Lm8LcElJuMzJ1mCRxzQjtXiB7ZATZQxPVVu0Ne/c=;
 b=ABIU5laQg/ZdWZxEslSgRLz0/pudwCHTt+4uXAIO0262S+KXPCmi1mqUfL/FGdFWJv
 5Pw9A7+QudJG0UEvbM0Sli910O1GHFp5Wu+cqji4knh2+57Pp3yN/bA9Kf0T8WcxiRo/
 zbQLFTcPlsPaOMoMiK6U7JecfvB4Rciuw5I80u+fwQ6SrZoX/q29SfS9zkusp4McaowN
 +FrO4ugoh38dFX2DsID6TxeoQCF1LsRoXSF7DnfxrmzdlvaSq0Xsstcu5jtk/2kOLQm0
 B8bLeyQqYFRXY3kTTkTixNFzAGEmVyX5ERIoHDco9RIf8r9J5jIwj+D+CcwOAdxUEsOv
 lBYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:reply-to:from:date:message-id
 :subject:to;
 bh=+L9Lm8LcElJuMzJ1mCRxzQjtXiB7ZATZQxPVVu0Ne/c=;
 b=P1LbQzg4VVHeFTI+H1YzhB1yWnC1sRhbEfoF7G1L1XUwc18teoa8SGV7JxauWOMMdH
 1iID1KhN1VHwy5WYIddaavbB0ZmfbHCD1YQGZqHGxMQ/LZOm6mMButUxkJQM2Wa9sjkS
 6CfiB7BUGsARToPL01ESZLBsowE7nAaCUaaC50CK3xqoI5zpAg8eFo6/ODzvge1U3u1n
 hfW7TZ0kYBwvjCbZ/U2oRnir0czx8TQCcIGOGnSuv11EdevAWhFy99eYfLLpBA/kcZb6
 xcSoZNTQL3+3S4OZvlNcbAppCPCgPvk+JA4E8wHrkPW+Dk99YkbmSUggvDbVNkyqsXo8
 Hg9Q==
X-Gm-Message-State: APjAAAXBonhyPByaw1CsrSP/2EaSp/aGcfm5HdCAjy5+jtcjr8OJEpKy
 FwG05yHGqCYVimIR6Ba91d4k6ejJ9mkQaPyqa5kbyIy8
X-Google-Smtp-Source: APXvYqzU/S6mvPyurURV+Yd0tgEnQkaVh5H3PF5aeaepYaINXoORD51V3yrnAsiLnr2uTNcE7TyVomqA3CWRxv8vukc=
X-Received: by 2002:a50:90f4:: with SMTP id d49mr18089183eda.42.1561822591714; 
 Sat, 29 Jun 2019 08:36:31 -0700 (PDT)
MIME-Version: 1.0
From: Michael Wu <john.michael.wu@HIDDEN>
Date: Sat, 29 Jun 2019 11:35:22 -0400
Message-ID: <CABuWmYNBF3EC6jdLcXDQaaxUe5oxZ9tUfVnZ2KUuvMycX_WSoQ@HIDDEN>
Subject: ido mode C-x C-f not showing regular files in special instances
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c808de058c78285b"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::52c
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Emacs 26.2. I do not know exactly the set of cases this bug
 appears, but here is a way (albeit specific) that works every time for me.
 I have the following directory hierarchy: 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (john.michael.wu[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.1 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 1.0 FREEMAIL_REPLYTO       Reply-To/From or Reply-To/body contain
 different freemails
 2.5 SPOOFED_FREEM_REPTO    Forged freemail sender with freemail
 reply-to
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: JohnMichaelWu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

--000000000000c808de058c78285b
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

RW1hY3MgMjYuMi4NCg0KSSBkbyBub3Qga25vdyBleGFjdGx5IHRoZSBzZXQgb2YgY2FzZXMgdGhp
cyBidWcgYXBwZWFycywgYnV0IGhlcmUgaXMgYSB3YXkNCihhbGJlaXQgc3BlY2lmaWMpIHRoYXQg
d29ya3MgZXZlcnkgdGltZSBmb3IgbWUuDQoNCkkgaGF2ZSB0aGUgZm9sbG93aW5nIGRpcmVjdG9y
eSBoaWVyYXJjaHk6DQoNCi4NCuKUnOKUgOKUgCBkMQ0K4pSCICAg4pSc4pSA4pSAIGQxDQrilIIg
ICDilIIgICDilJzilIDilIAgYQ0K4pSCICAg4pSCICAg4pSc4pSA4pSAIGINCuKUgiAgIOKUgiAg
IOKUnOKUgOKUgCBjDQrilIIgICDilIIgICDilJzilIDilIAgZDENCuKUgiAgIOKUgiAgIOKUlOKU
gOKUgCBkMg0K4pSCICAg4pSU4pSA4pSAIGQyDQrilJTilIDilIAgZDINCiAgICDilJzilIDilIAg
ZDENCiAgICDilIIgICDilJzilIDilIAgMQ0KICAgIOKUgiAgIOKUnOKUgOKUgCAyDQogICAg4pSC
ICAg4pSc4pSA4pSAIDMNCiAgICDilIIgICDilJzilIDilIAgZGENCiAgICDilIIgICDilJTilIDi
lIAgZGINCiAgICDilJTilIDilIAgZDINCg0KVGhlIGQncyBhcmUgZGlyZWN0b3JpZXMuIElmIEkg
bWFrZSBkMS9kMSBteSB3b3JraW5nIGRpcmVjdG9yeSwgYW5kIHRoZW4gZG8NCihleGFjdGx5IHRo
aXMgc2VxdWVuY2Ugb2Yga2V5cykNCg0KQy14IEMtZiwgTS1iLCBNLWIsIEMtaywgMjxUQUI+LCAx
PFRBQj4NCg0KSSBhbSBzaG93biBvbmx5IGBkYWAgYW5kIGBkYmAsIGFuZCBub3QgdGhlIGZpbGVz
IGAxYCwgYDJgLCBvciBgM2AuDQo=
--000000000000c808de058c78285b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64

PGRpdiBkaXI9Imx0ciI+RW1hY3MgMjYuMi7CoDxkaXY+PGJyPjwvZGl2PjxkaXY+SSBkbyBub3Qg
a25vdyBleGFjdGx5IHRoZSBzZXQgb2YgY2FzZXMgdGhpcyBidWcgYXBwZWFycywgYnV0IGhlcmUg
aXMgYSB3YXkgKGFsYmVpdCBzcGVjaWZpYykgdGhhdCB3b3JrcyBldmVyeSB0aW1lIGZvciBtZS7C
oDwvZGl2PjxkaXY+PGJyPjwvZGl2PjxkaXY+SSBoYXZlIHRoZSBmb2xsb3dpbmcgZGlyZWN0b3J5
IGhpZXJhcmNoeTo8L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2Pi48YnI+4pSc4pSA4pSAIGQxPGJy
PuKUgsKgwqAg4pSc4pSA4pSAIGQxPGJyPuKUgsKgwqAg4pSCwqDCoCDilJzilIDilIAgYTxicj7i
lILCoMKgIOKUgsKgwqAg4pSc4pSA4pSAIGI8YnI+4pSCwqDCoCDilILCoMKgIOKUnOKUgOKUgCBj
PGJyPuKUgsKgwqAg4pSCwqDCoCDilJzilIDilIAgZDE8YnI+4pSCwqDCoCDilILCoMKgIOKUlOKU
gOKUgCBkMjxicj7ilILCoMKgIOKUlOKUgOKUgCBkMjxicj7ilJTilIDilIAgZDI8YnI+wqAgwqAg
4pSc4pSA4pSAIGQxPGJyPsKgIMKgIOKUgsKgwqAg4pSc4pSA4pSAIDE8YnI+wqAgwqAg4pSCwqDC
oCDilJzilIDilIAgMjxicj7CoCDCoCDilILCoMKgIOKUnOKUgOKUgCAzPGJyPsKgIMKgIOKUgsKg
wqAg4pSc4pSA4pSAIGRhPGJyPsKgIMKgIOKUgsKgwqAg4pSU4pSA4pSAIGRiPGJyPsKgIMKgIOKU
lOKUgOKUgCBkMjxicj48L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PlRoZSBkJiMzOTtzIGFyZSBk
aXJlY3Rvcmllcy4gSWYgSSBtYWtlIGQxL2QxIG15IHdvcmtpbmcgZGlyZWN0b3J5LCBhbmQgdGhl
biBkbyAoZXhhY3RseSB0aGlzIHNlcXVlbmNlIG9mIGtleXMpPC9kaXY+PGRpdj48YnI+PC9kaXY+
PGRpdj5DLXggQy1mLCBNLWIsIE0tYiwgQy1rLCAyJmx0O1RBQiZndDssIDEmbHQ7VEFCJmd0Ozwv
ZGl2PjxkaXY+PGJyPjwvZGl2PjxkaXY+SSBhbSBzaG93biBvbmx5IGBkYWAgYW5kIGBkYmAsIGFu
ZCBub3QgdGhlIGZpbGVzIGAxYCwgYDJgLCBvciBgM2AuwqA8L2Rpdj48L2Rpdj4NCg==
--000000000000c808de058c78285b--




Acknowledgement sent to JohnMichaelWu@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36435; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Jul 2019 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.